<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>
<div class="hmcabw-main-wrapper <?php esc_attr_e( $hmcabw_select_template ); ?>">

	<div class="hmcabw-parent-container">

		<div class="hmcabw-image-container <?php esc_attr_e( $hmcabw_icon_shape ); ?>">
			<?php
			$hmcabwImage = array();
			$hmcabwPhotograph2 = null;
			if ( 'upload_image' === $hmcabw_author_image_selection ) {
				if ( intval( $hmcabw_photograph ) > 0 ) {
					$hmcabwImage 		= wp_get_attachment_image_src( $hmcabw_photograph, 'fulll', false );
					$hmcabwPhotograph2 	= $hmcabwImage[0];
				} else {
					$hmcabwPhotograph2 = HMCABW_ASSETS . 'img/noimage.png';
				}
				?>
				<img src="<?php esc_attr_e( $hmcabwPhotograph2 ); ?>" width="<?php esc_attr_e( $hmcabw_photo_width ); ?>px">
				<?php
			} else {
				
				echo get_avatar( $hmcabw_author_email, $hmcabw_photo_width );
			} 
			?>
		</div>
		<div class="hmcabw-info-container" style="font-size:<?php esc_attr_e( $hmcabwBIFontSize ); ?>px">

			<h3 class="hmcabw-name"><?php esc_html_e( $hmcabw_author_name ); ?></h3>

			<?php 
			if ( $hmcabw_display_title ) { 
				?>
				<p class="hmcabw-title"><?php esc_html_e( $hmcabw_author_title ); ?></p>
				<?php 
			} 
			?>
			<div class="hmcab-name-border-main"></div>

			<?php echo nl2br( wp_kses_post( $hmcabw_biographical_info ) ); ?>
		</div>
	</div>

	<div class="hmcabw-email-url-container">
		<?php 
		if ( $hmcabw_display_email ) { 
			?>
			<div>
				<p class="hmcabw-email"><span class="dashicons dashicons-email-alt"></span><?php esc_html_e( $hmcabw_author_email ); ?></p>
			</div>
			<?php 
		}

		if ( $hmcabw_display_web ) { 
			?>
			<div>
				<a href="<?php echo esc_url( $hmcabw_author_website ); ?>" class="hmcabw-website"><span class="dashicons dashicons-admin-site"></span><?php esc_html_e( $hmcabw_author_website ); ?></a>
			</div>
			<?php 
		} 
		?>
	</div>

	<div class="hmcabw-social-container">
		<?php 
		foreach ( $hmcabwSocials as $hmcabwSocial ) {
			
			if ( isset( $hmcabwSocialSettings['hmcabw_'.$hmcabwSocial.'_enable'] ) ) {
				
				if ( filter_var( $hmcabwSocialSettings['hmcabw_'.$hmcabwSocial.'_enable'], FILTER_SANITIZE_NUMBER_INT) == 1) {
					?>
					<a href="<?php echo esc_url( $hmcabwSocialSettings['hmcabw_'.$hmcabwSocial.'_link'] ); ?>" class="cab-front-social-icon <?php esc_attr_e( $hmcabw_icon_shape ); ?>">	
						<i class="fa fa-<?php esc_attr_e( $hmcabwSocial ); ?>" aria-hidden="true"></i>
					</a>
					<?php
				}
			}
		} ?>
	</div>

</div>